
Name: camorama
Summary: A GNOME webcam application
Version: 0.20.7
Release: %mkrel 1
License: GPLv2
Group: Video
URL: https://github.com/alessio/camorama
Source0: %{name}-%{version}.tar.xz
Patch0: Fix-compilation-with-gcc10-fno-commo.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: desktop-file-utils 
BuildRequires: appstream-glib
BuildRequires: gettext-devel 
BuildRequires: lib64v4l-devel 
BuildRequires: gtk3-devel 
BuildRequires: cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
Requires:      hicolor-icon-theme

%description
camorama is a program for controlling webcams. It is able to capture to various
image formats, as well as saving to a local dir or a FTP server on the web.
Right now you can change the video settings using the gui and apply some
filters. 

%prep

%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%{find_lang} %{name}

desktop-file-install --vendor="" \
  --remove-category="GNOME" \
  --remove-category="AudioVideo" \
  --add-category="X-MandrivaLinux-Multimedia-Video;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
$RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

appstream-util validate-relax --nonet \
  $RPM_BUILD_ROOT%{_datadir}/metainfo/%{name}.appdata.xml

%post
%{update_menus}


%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/camorama.desktop
%{_datadir}/icons/hicolor/*x*/devices/%{name}.png
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Sep 28 2020 Ken <lxgator at gmail.com> 0.20.7-1pclos2020
- update to 0.20.7
- apply fedora patch

* Fri May 03 2013 Texstar <texstar at gmail.com> 0.19-2pclos2013
- apply fedora patches and rebuild for 2013
 


